Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.rfid.api.workflow.types
Interface Manifest

    public interface Manifest

Interface representing the manifest (parent and children identifiers expected) for an aggregation. This may just contain the error details, if an error occured while trying to get the manifest.

Method Summary
`Map` | `getChildren()` Returns a Map containing the child identifier as the key and the number of children expected for that identifier as the value.
`ErrorOutput` | `getError()` Returns `ErrorOutput` containing the details of any error while trying to retrieve the manifest.
`URI` | `getParentId()` Returns the parent id of the aggregation.

Method Detail

### getParentId

    URI getParentId()

  Returns the parent id of the aggregation.

  Returns:
    The parent id of the aggregation.

### getChildren

    Map getChildren()

  Returns a Map containing the child identifier as the key and the number of children expected for that identifier as the value. If only the type of the child is known (for example, GTIN) and not the exact EPC, the child identifier will be a URI representation of the type (for example, urn:epc:idpat:sgtin:<companyprefix>.<itemreference>.*). If the exact EPC value is known, the child identifier will be the EPC value and the count will be 1.

  Returns:
    Map of child identifier to expected count.

### getError

    ErrorOutput getError()

  Returns `ErrorOutput` containing the details of any error while trying to retrieve the manifest. If the manifest was retrieved successfully, this will return null.

  Returns:
    `ErrorOutput` containing the details of any error while trying to retrieve the manifest. Returns null if the manifest was retrieved successfully.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD